package com.sv.netty.netty;


import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 会员基本信息
 * MemberDto.java
 *
 * @author peakren
 * @date 2018/12/20 8:39 PM
 */
public class MemberDto implements Serializable {

    /**
     * 头像
     */

    private String avatar;

    /**
     * 姓名
     */

    private String name;

    /**
     * 手机号码
     */

    private String mobile;

    /**
     * 余额
     */

    private BigDecimal amount;

    /**
     * 是否第一次进入
     */
    private boolean first = false;

    /**
     * 场地价格
     */
    private BigDecimal placePrice;
    /**
     * 场地名称
     */

    private String placeName;

    /**
     * 会员卡名称
     */

    private String cardName;

    private String message;

    /**
     * 1成功进场 0不允许进场
     */
    private int code;

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getPlaceName() {
        return placeName;
    }

    public void setPlaceName(String placeName) {
        this.placeName = placeName;
    }

    public String getCardName() {
        return cardName;
    }

    public void setCardName(String cardName) {
        this.cardName = cardName;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public BigDecimal getPlacePrice() {
        return placePrice;
    }

    public void setPlacePrice(BigDecimal placePrice) {
        this.placePrice = placePrice;
    }

    public boolean isFirst() {
        return first;
    }

    public void setFirst(boolean first) {
        this.first = first;
    }
}
